import socket
import subprocess
import os
import sys
import re

arg_lang=""
################################
# 常量

# for get_env_lang()
STR_GET_ENV_LANG_ZH     = "语言环境为中文"
STR_GET_ENV_LANG_EN     = "语言环境为英文"
STR_GET_ENV_LANG_UNKNOW = "语言环境未知"

# for is_root()
STR_IS_ROOT_TRUE  = "当前用户为root权限"
STR_IS_ROOT_FALSE = "当前用户没有root权限"

################################
# 环境检查函数

def get_env_lang():
#    lang = os.getenv("LANG")
#    if lang.startswith("zh"):
#        return STR_GET_ENV_LANG_ZH
#    elif lang.startswith("en"):
#        return STR_GET_ENV_LANG_EN
#    else:
#        return STR_GET_ENV_LANG_UNKNOW
#
    if arg_lang == "zh":
        return STR_GET_ENV_LANG_ZH
    elif arg_lang == "en":
        return STR_GET_ENV_LANG_EN
    else:
        return STR_GET_ENV_LANG_UNKNOW

def is_root():
    if os.geteuid() == 0:
        print(STR_IS_ROOT_TRUE)
        return True
    else:
        print(STR_IS_ROOT_FALSE)
        return False

################################
# 辅助函数
def l_print(zh_str, en_str) :
    if STR_GET_ENV_LANG_ZH == get_env_lang() :
        print(zh_str);
    else :
        print(en_str);

################################
# 功能函数

# 631高危端口检查
def check_cups_risk_port(port):
    # try:
        constVul = 0 
        file_path = '/etc/cups/cupsd.conf'
        pattern = r"^(?!#).*Listen 0\.0\.0\.0:631"
        with open(file_path) as file:
            for line in file:
                if re.search(pattern,line):
                    constVul = 1
        if constVul == 0:
            l_print(f"[OK] 不存在高危端口 {port}",
                        f"[OK] High risk port {port} don't open")
        else:
            l_print(f"[WARNING] 存在高危端口 {port}",
                        f"[WARNING] High risk port {port} is open")
if __name__ == '__main__':
    arg_lang = sys.argv[1]
    check_cups_risk_port(631)
