
import os
import sys

arg_lang = ""

################################
# 常量

# for get_env_lang()
STR_GET_ENV_LANG_ZH     = "语言环境为中文"
STR_GET_ENV_LANG_EN     = "语言环境为英文"
STR_GET_ENV_LANG_UNKNOW = "语言环境未知"

# for is_root()
STR_IS_ROOT_TRUE  = "当前用户为root权限"
STR_IS_ROOT_FALSE = "当前用户没有root权限"

################################
# 环境检查函数

def get_env_lang():
#    lang = os.getenv("LANG")
#    if lang.startswith("zh"):
#        return STR_GET_ENV_LANG_ZH
#    elif lang.startswith("en"):
#        return STR_GET_ENV_LANG_EN
#    else:
#        return STR_GET_ENV_LANG_UNKNOW
#
    if arg_lang == "zh":
        return STR_GET_ENV_LANG_ZH
    elif arg_lang == "en":
        return STR_GET_ENV_LANG_EN
    else:
        return STR_GET_ENV_LANG_UNKNOW

def is_root():
    if os.geteuid() == 0:
        print(STR_IS_ROOT_TRUE)
        return True
    else:
        print(STR_IS_ROOT_FALSE)
        return False

################################
# 辅助函数
def l_print(zh_str, en_str) :
    if STR_GET_ENV_LANG_ZH == get_env_lang() :
        print(zh_str);
    else :
        print(en_str);


################################
# 功能函数
def fix_firewall_log():
    # 检查ufw防火墙是否已启用
    output = os.popen('setstatus enable 2>&1').read().strip()

    if "set kysec status to enabled" in output :
        l_print("[OK] Kysec日志启动成功, 需要重启生效",
                "[OK] set kysec logger to enabled , need to reboot system")
    else :
        l_print("[WARNING] Kysec日志启用失败",
                "[WARNING] Failed to enable kysec looger")

################################
# main
if __name__ == "__main__":
    arg_lang = sys.argv[1]

    if False == is_root() :
        l_print("[WARNING] 非root权限，此程序需要root权限",
                "[WARNING] Non root permission, this program requires root permission")
        exit(1)

    fix_firewall_log()
    exit(0)
