# [OK] 为验证通过
# [WARNING] 为风险提示

import subprocess
import os
import sys

arg_lang = ""

################################
# 常量

# for get_env_lang()
STR_GET_ENV_LANG_ZH     = "语言环境为中文"
STR_GET_ENV_LANG_EN     = "语言环境为英文"
STR_GET_ENV_LANG_UNKNOW = "语言环境未知"

# for is_root()
STR_IS_ROOT_TRUE  = "当前用户为root权限"
STR_IS_ROOT_FALSE = "当前用户没有root权限"

################################
# 环境检查函数

def get_env_lang():
#    lang = os.getenv("LANG")
#    if lang.startswith("zh"):
#        return STR_GET_ENV_LANG_ZH
#    elif lang.startswith("en"):
#        return STR_GET_ENV_LANG_EN
#    else:
#        return STR_GET_ENV_LANG_UNKNOW
#
    if arg_lang == "zh":
        return STR_GET_ENV_LANG_ZH
    elif arg_lang == "en":
        return STR_GET_ENV_LANG_EN
    else:
        return STR_GET_ENV_LANG_UNKNOW

def is_root():
    if os.geteuid() == 0:
        print(STR_IS_ROOT_TRUE)
        return True
    else:
        print(STR_IS_ROOT_FALSE)
        return False

################################
# 辅助函数
def l_print(zh_str, en_str) :
    if STR_GET_ENV_LANG_ZH == get_env_lang() :
        print(zh_str);
    else :
        print(en_str);

################################
# 功能函数

# 确保已配置SSH警告通知
def check_ssh_alert():
    try:
        output = subprocess.check_output("grep '# Banner\|#Banner\|Banner none' /etc/ssh/sshd_config", shell=True)
        output = output.decode('utf-8').strip()
        l_print("[WARNING] SSH告警没有被配置",
                "[WARNING] SSH alert not configured")
    except:
        l_print("[OK] SSH告警配置检查通过",
                "[OK] SSH alert not configured check passed")

# 示例代码主函数
def main():

    check_ssh_alert()

if __name__ == '__main__':
    arg_lang = sys.argv[1]

    main()
