# [OK] 为验证通过
# [WARNING] 为风险提示
# 此检测项需要使用root权限执行

import subprocess
import os
import sys

arg_lang = ""

################################
# 常量

# for get_env_lang()
STR_GET_ENV_LANG_ZH     = "语言环境为中文"
STR_GET_ENV_LANG_EN     = "语言环境为英文"
STR_GET_ENV_LANG_UNKNOW = "语言环境未知"

# for is_root()
STR_IS_ROOT_TRUE  = "当前用户为root权限"
STR_IS_ROOT_FALSE = "当前用户没有root权限"

################################
# 环境检查函数

def get_env_lang():
#    lang = os.getenv("LANG")
#    if lang.startswith("zh"):
#        return STR_GET_ENV_LANG_ZH
#    elif lang.startswith("en"):
#        return STR_GET_ENV_LANG_EN
#    else:
#        return STR_GET_ENV_LANG_UNKNOW
#
    if arg_lang == "zh":
        return STR_GET_ENV_LANG_ZH
    elif arg_lang == "en":
        return STR_GET_ENV_LANG_EN
    else:
        return STR_GET_ENV_LANG_UNKNOW

def is_root():
    if os.geteuid() == 0:
        print(STR_IS_ROOT_TRUE)
        return True
    else:
        print(STR_IS_ROOT_FALSE)
        return False

def is_root():
    if os.geteuid() == 0:
        print(STR_IS_ROOT_TRUE)
        return True
    else:
        print(STR_IS_ROOT_FALSE)
        return False

################################
# 辅助函数
def l_print(zh_str, en_str) :
    if STR_GET_ENV_LANG_ZH == get_env_lang() :
        print(zh_str);
    else :
        print(en_str);

################################
# 功能函数

# 检查SSH服务是否已禁用端口转发功能
def check_ssh_disable_port_forwarding():
    command = 'sudo sshd -T | grep -i permitopen'
    result = subprocess.run(command, shell=True, stdout=subprocess.PIPE, stderr=subprocess.PIPE)

    if result.returncode == 0:
        output = result.stdout.decode('utf-8').strip()
        if 'PermitOpen' and 'permitopen' not in output:
            l_print("[OK] SSH 端口转发禁用 检测通过",
                    "[OK] SSH disable port forwarding check passed")
        else:
            permitopen_value = output.split(' ')[1]
            if permitopen_value == '' or permitopen_value == 'none' or permitopen_value == 'None':
                l_print("[OK] SSH 端口转发禁用 检测通过",
                        "[OK] SSH disable port forwarding check passed")
            else:
                l_print("[WARNING] SSH开启了端口转发功能",
                        "[WARNING] SSH port forwarding may be enabled")
    else:
        print('运行SSH命令时出错:', result.stderr.decode('utf-8').strip())
# 示例代码主函数
def main():

    check_ssh_disable_port_forwarding()

if __name__ == '__main__':
    arg_lang = sys.argv[1]

    main()
