import pytest
import os
from BaseLine.LocalServices.firewall.check_firewall_log.check_firewall_log import get_env_lang,is_root,arg_lang,l_print,check_firewall_log
from BaseLine.LocalServices.firewall.check_firewall_log.fix_firewall_log import get_env_lang as fix_get_env_lang,is_root as fix_is_root,l_print as fix_l_print,fix_firewall_log
def test_get_env_lang(monkeypatch):
    monkeypatch.setattr("BaseLine.LocalServices.firewall.check_firewall_log.check_firewall_log.arg_lang", 'en')
    assert get_env_lang() == "语言环境为英文"
    monkeypatch.setattr("BaseLine.LocalServices.firewall.check_firewall_log.check_firewall_log.arg_lang", 'zh')
    assert get_env_lang() == "语言环境为中文"
    monkeypatch.setattr("BaseLine.LocalServices.firewall.check_firewall_log.check_firewall_log.arg_lang", '')
    assert get_env_lang() == "语言环境未知"
def test_is_root(monkeypatch):
    if os.geteuid() == 0:
        assert is_root() == True
    else:
        assert is_root() == False
def test_l_print(monkeypatch, capsys):
    monkeypatch.setattr("BaseLine.LocalServices.firewall.check_firewall_log.check_firewall_log.arg_lang", 'zh')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "zh\n"
    monkeypatch.setattr("BaseLine.LocalServices.firewall.check_firewall_log.check_firewall_log.arg_lang", 'en')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "en\n"
    monkeypatch.setattr("BaseLine.LocalServices.firewall.check_firewall_log.check_firewall_log.arg_lang", '')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "en\n"
def test_fix_get_env_lang(monkeypatch):
    monkeypatch.setattr("BaseLine.LocalServices.firewall.check_firewall_log.fix_firewall_log.arg_lang", 'en')
    assert fix_get_env_lang() == "语言环境为英文"
    monkeypatch.setattr("BaseLine.LocalServices.firewall.check_firewall_log.fix_firewall_log.arg_lang", 'zh')
    assert fix_get_env_lang() == "语言环境为中文"
    monkeypatch.setattr("BaseLine.LocalServices.firewall.check_firewall_log.fix_firewall_log.arg_lang", '')
    assert fix_get_env_lang() == "语言环境未知"
def test_fix_is_root(monkeypatch):
    if os.geteuid() == 0:
        assert fix_is_root() == True
    else:
        assert fix_is_root() == False
def test_fix_l_print(monkeypatch, capsys):
    monkeypatch.setattr("BaseLine.LocalServices.firewall.check_firewall_log.fix_firewall_log.arg_lang", 'zh')
    fix_l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "zh\n"
    monkeypatch.setattr("BaseLine.LocalServices.firewall.check_firewall_log.fix_firewall_log.arg_lang", 'en')
    fix_l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "en\n"
    monkeypatch.setattr("BaseLine.LocalServices.firewall.check_firewall_log.fix_firewall_log.arg_lang", '')
    fix_l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "en\n"
