import pytest
import os
from BaseLine.AccountRisk.mysql.check_mysql_empty_password.check_mysql_empty_password import get_env_lang,is_root,arg_lang,l_print,check_mysql_empty_password

def test_get_env_lang(monkeypatch):
    monkeypatch.setattr("BaseLine.AccountRisk.mysql.check_mysql_empty_password.check_mysql_empty_password.arg_lang", 'en')
    assert get_env_lang() == "语言环境为英文"
    monkeypatch.setattr("BaseLine.AccountRisk.mysql.check_mysql_empty_password.check_mysql_empty_password.arg_lang", 'zh')
    assert get_env_lang() == "语言环境为中文"
    monkeypatch.setattr("BaseLine.AccountRisk.mysql.check_mysql_empty_password.check_mysql_empty_password.arg_lang", '')
    assert get_env_lang() == "语言环境未知"
def test_is_root(monkeypatch):
    if os.geteuid() == 0:
        assert is_root() == True
    else:
        assert is_root() == False
def test_l_print(monkeypatch, capsys):
    monkeypatch.setattr("BaseLine.AccountRisk.mysql.check_mysql_empty_password.check_mysql_empty_password.arg_lang", 'zh')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "zh\n"
    monkeypatch.setattr("BaseLine.AccountRisk.mysql.check_mysql_empty_password.check_mysql_empty_password.arg_lang", 'en')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "en\n"
    monkeypatch.setattr("BaseLine.AccountRisk.mysql.check_mysql_empty_password.check_mysql_empty_password.arg_lang", '')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "en\n"
def test_check_mysql_empty_password(capsys):
    check_mysql_empty_password("localhost", 3306, "kylin")
    captured = capsys.readouterr()
    assert "[WARNING] MySQL empty password detected" in captured.out