import pytest
import os
from BaseLine.AccountRisk.redis.check_redis_weak_password.check_redis_weak_password import get_env_lang,is_root,arg_lang,l_print,check_redis_weak_password
def test_get_env_lang(monkeypatch):
    monkeypatch.setattr("BaseLine.AccountRisk.redis.check_redis_weak_password.check_redis_weak_password.arg_lang", 'en')
    assert get_env_lang() == "语言环境为英文"
    monkeypatch.setattr("BaseLine.AccountRisk.redis.check_redis_weak_password.check_redis_weak_password.arg_lang", 'zh')
    assert get_env_lang() == "语言环境为中文"
    monkeypatch.setattr("BaseLine.AccountRisk.redis.check_redis_weak_password.check_redis_weak_password.arg_lang", '')
    assert get_env_lang() == "语言环境未知"
def test_is_root(monkeypatch):
    if os.geteuid() == 0:
        assert is_root() == True
    else:
        assert is_root() == False
def test_l_print(monkeypatch, capsys):
    monkeypatch.setattr("BaseLine.AccountRisk.redis.check_redis_weak_password.check_redis_weak_password.arg_lang", 'zh')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "zh\n"
    monkeypatch.setattr("BaseLine.AccountRisk.redis.check_redis_weak_password.check_redis_weak_password.arg_lang", 'en')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "en\n"
    monkeypatch.setattr("BaseLine.AccountRisk.redis.check_redis_weak_password.check_redis_weak_password.arg_lang", '')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "en\n"
def test_check_redis_weak_password(monkeypatch, capsys):
    ip = "localhost"
    port = 6379
    password = ""
    assert check_redis_weak_password(ip,port,password) == False
    password = "qwer1234"
    assert check_redis_weak_password(ip,port,password) == True