import pytest
import os
from BaseLine.RemoteServices.ssh.check_ssh_alert.check_ssh_alert import get_env_lang,is_root,arg_lang,l_print,check_ssh_alert
from BaseLine.RemoteServices.ssh.check_ssh_alert.fix_ssh_warning_banner import fix_ssh_warning_banner
def test_get_env_lang(monkeypatch):
    monkeypatch.setattr("BaseLine.RemoteServices.ssh.check_ssh_alert.check_ssh_alert.arg_lang", 'en')
    assert get_env_lang() == "语言环境为英文"
    monkeypatch.setattr("BaseLine.RemoteServices.ssh.check_ssh_alert.check_ssh_alert.arg_lang", 'zh')
    assert get_env_lang() == "语言环境为中文"
    monkeypatch.setattr("BaseLine.RemoteServices.ssh.check_ssh_alert.check_ssh_alert.arg_lang", '')
    assert get_env_lang() == "语言环境未知"
def test_is_root(monkeypatch):
    if os.geteuid() == 0:
        assert is_root() == True
    else:
        assert is_root() == False
def test_l_print(monkeypatch, capsys):
    monkeypatch.setattr("BaseLine.RemoteServices.ssh.check_ssh_alert.check_ssh_alert.arg_lang", 'zh')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "zh\n"
    monkeypatch.setattr("BaseLine.RemoteServices.ssh.check_ssh_alert.check_ssh_alert.arg_lang", 'en')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "en\n"
    monkeypatch.setattr("BaseLine.RemoteServices.ssh.check_ssh_alert.check_ssh_alert.arg_lang", '')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "en\n"
def test_check_ssh_alert(capsys):
    check_ssh_alert()
    captured = capsys.readouterr()
    assert "[OK] SSH alert not configured check passed" in captured.out
def test_fix_ssh_warning_banner(capsys):
    fix_ssh_warning_banner()
    captured = capsys.readouterr()
    assert "[OK] SSH warning enabled" in captured.out