import pytest
import os
from BaseLine.AccountRisk.user.check_weak_password.check_weak_password import get_env_lang,is_root,arg_lang,l_print,read_passwords_from_dict,parse_shadow_file,check_password
def test_get_env_lang(monkeypatch):
    monkeypatch.setattr("BaseLine.AccountRisk.user.check_weak_password.check_weak_password.arg_lang", 'en')
    assert get_env_lang() == "语言环境为英文"
    monkeypatch.setattr("BaseLine.AccountRisk.user.check_weak_password.check_weak_password.arg_lang", 'zh')
    assert get_env_lang() == "语言环境为中文"
    monkeypatch.setattr("BaseLine.AccountRisk.user.check_weak_password.check_weak_password.arg_lang", '')
    assert get_env_lang() == "语言环境未知"
def test_is_root(monkeypatch):
    if os.geteuid() == 0:
        assert is_root() == True
    else:
        assert is_root() == False
def test_l_print(monkeypatch, capsys):
    monkeypatch.setattr("BaseLine.AccountRisk.user.check_weak_password.check_weak_password.arg_lang", 'zh')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "zh\n"
    monkeypatch.setattr("BaseLine.AccountRisk.user.check_weak_password.check_weak_password.arg_lang", 'en')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "en\n"
    monkeypatch.setattr("BaseLine.AccountRisk.user.check_weak_password.check_weak_password.arg_lang", '')
    l_print("zh","en")
    captured = capsys.readouterr()
    assert captured.out == "en\n"
def test_read_passwords_from_dict():
    assert read_passwords_from_dict("../weakPassword") != []
def test_parse_shadow_file():
    assert parse_shadow_file("/etc/shadow") != []